#ifndef PW_CORE_MATH_HPP
#define PW_CORE_MATH_HPP

#include <cmath>

namespace pw {

const static double __PW_PI = 3.1415926535897932384626433832795028841971693993751058209;

template <typename T>
inline const T Pi() { return static_cast<T>(__PW_PI); }

}

#endif
