#include "pw/scene/node.hpp"

namespace pw {

node::node(const std::string &name)
    : _name(name)
{
}

node *node::clone(const unsigned short &copymode) const
{
    return nullptr;
}

std::string node::name() const
{
    return _name;
}

void node::set_name(const std::string &name)
{
    _name = name;
}

void node::add_child(node *anode)
{
    _children.push_back(std::shared_ptr<node>(anode));
    anode->_parents.push_back(this);
}

node::~node()
{
    _children.clear();
    _parents.clear();
}



}
